Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Solr module: compatibility with postgresql

Go to End

2 Posts   668 Views


Community Member, 11 Posts

1 August 2013 at 3:45pm

Hi all,

I just tried to install and test the solr module on Ubuntu. What I did so far:
- install SS 3.0.5 from (had trouble doing composer install. Worked a few weeks ago but not any more)
- git clone - then renamed to postgresql and finished the installation successfully
- git clone - then renamed to multivaluefield
- git clone - then renamed to solr
- http://localhost/solr-test/dev/build gives me a number of errors, attached.

Any help would be appreciated.


Attached Files

Administrator, 88 Posts

28 August 2013 at 4:31pm

The solr module hasn't actually been tested against pgsql - you might be able to try modifying SolrGeoDBField on line 57 and change

$query->selectField("AsText({$this->name})", "{$this->name}");


$query->selectField("ST_AsText({$this->name})", "{$this->name}");

but this may require the postgis extension.

(Given this binding to mysql I should probably roll back this built-in GIS support to an extension instead of part of the core module)